Authentication - Login
Verifieer de gebruikersaanmelding en haal gebruikersgegevens op.
POST http://<Servername>/OperationsManager/authenticate
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| credentials |
string |
Referenties in de vorm (AuthenticationMode:domain\username:password) gecodeerd in base64. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Ok.Aanmelden gelukt. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 403 Forbidden |
string |
De gebruiker heeft niet voldoende toestemming om de bewerking uit te voeren. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
GetLogin
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/authenticate
[
"TmV0d29yazphYmNcYWRtaW51c2VyOlBXRDEyMw=="
]
Voorbeeldrespons
{
"name": "contoso\\adminuser",
"expiryTime": "2022-06-21T01:59:01.3448758Z",
"role": "Administrator"
}
Definities
UserIdentity
| Name | Type | Description |
|---|---|---|
| expiryTime |
string |
Vervaltijd van de sessie |
| name |
string |
Gebruikersnaam |
| role |
string |
Gebruikersrol |